# OpenSC API Reference

sc_card_t
3
opensc

# sc_card_t

OpenSC card structure

## Synopsis

    #include <opensc.h>

    #define SC_MAX_ATR_SIZE         33
    #define SC_MAX_CARD_APPS         8

    typedef struct sc_card {
    	struct sc_context *ctx;
    	struct sc_reader *reader;
    	struct sc_slot_info *slot;
    	struct sc_app_info *app[SC_MAX_CARD_APPS];
    	unsigned char atr[SC_MAX_ATR_SIZE];
    	size_t atr_len;
    } sc_card_t;

## Description

This structure describes a smart card object. It contains the following members:

ctx

  The context this card is associated with.

reader

  The reader this card is inserted into.

slot

  The slot on the reader this card is inserted into.

atr

  The ATR (Answer To Reset) of the card.

atr_len

  The length of the atr field